> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get list of addresses holding a specific DRC-20 token with their balance amounts and distribution statistics.

# DRC20 Holders



## OpenAPI

````yaml dogecoin/blockchain-indexer-api/openapi.json get /assets/drc20/{ticker}/holders
openapi: 3.0.3
info:
  title: Dogecoin - Blockchain Indexer API
  description: Core indexer endpoints dedicated to Dogecoin metaprotocols.
  contact:
    name: Maestro Blockchain Inc.
    url: https://gomaestro.org/
    email: info@gomaestro.org
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v0.1.1
servers:
  - url: https://xdg-mainnet.gomaestro-api.org/v0
    description: Dogecoin Mainnet
  - url: https://xdg-testnet.gomaestro-api.org/v0
    description: Dogecoin Testnet
security:
  - api-key: []
paths:
  /assets/drc20/{ticker}/holders:
    get:
      tags:
        - DRC20
      summary: DRC20 Holders
      description: |-
        Script pubkeys or addresses that hold the specified DRC20
        token and corresponding total balances.
      operationId: drc20_holders_by_ticker
      parameters:
        - name: ticker
          in: path
          description: DRC20 ticker string
          required: true
          schema:
            type: string
          example: TUAH
        - name: count
          in: query
          description: The max number of results per page
          required: false
          schema:
            allOf:
              - type: integer
                default: 100
                minimum: 0
            nullable: true
        - name: cursor
          in: query
          description: >-
            Pagination cursor string, use the cursor included in a page of
            results to fetch the next page
          required: false
          schema:
            type: string
            nullable: true
      responses:
        '200':
          description: Requested data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedDrc20Holder'
              example:
                data:
                  - address: DNG3G7pKc1DgciyWs36GFUnVyvJieDhKdb
                    balance: '9000000.000000000000000000'
                    script_pubkey: 0014f6aa24e0d1e39edc330dbfa7376e896437f7e14b
                last_updated:
                  block_hash: >-
                    00000000000000000002747b9e3c0097172bc23489d686e8b885a6fa89c2c4da
                  block_height: 850534
                next_cursor: 19FwuaejD9hE1R4ckTQKaqe0ecA
        '400':
          description: Malformed query parameters
        '404':
          description: Requested entity not found on-chain
        '500':
          description: Internal server error
components:
  schemas:
    PaginatedDrc20Holder:
      type: object
      required:
        - data
        - last_updated
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Drc20Holder'
        last_updated:
          $ref: '#/components/schemas/LastUpdated'
        next_cursor:
          type: string
          nullable: true
    Drc20Holder:
      type: object
      required:
        - script_pubkey
        - balance
      properties:
        address:
          type: string
          nullable: true
        balance:
          type: string
        script_pubkey:
          type: string
    LastUpdated:
      type: object
      required:
        - block_hash
        - block_height
      properties:
        block_hash:
          type: string
        block_height:
          type: integer
          format: int64
          minimum: 0
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````